View Issue Details

IDProjectCategoryView StatusLast Update
0003506Expressions[FreeCAD] Bugpublic2019-08-14 15:08
Reporterulrich1aAssigned Toeivindkvedalen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003506: Alias names in spreadsheet with a number at the end causes exceptions at deleting cells
DescriptionDeleting a row causes an exception when an alias name with a number at the end is given and this alias is reverenced in a cell below the deleted row.

The same happens at deleting a column when this special alias name is referenced in a column right of the to deleted column.
Steps To Reproduce1. Make a new document and create a spreadsheet.
2. Put a number in cell A1 and give it an alias name "gap3"
3. Put in cell A4 "=gap3"
4. Right click on row A3 and select "Remove rows"
Additional InformationThe bug was reported in this Forum thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=29176
TagsNo tags attached.

Related Changesets

FreeCAD: master 5d2a889a

2018-07-31 17:30:57

Eivind Kvedalen


Committer: Yorik van Havre Details Diff
Fixed issue 0003506: Certain alias names with a number at the end caused exceptions when deleting cells in a spreadsheet. Affected Issues
0003506
mod - src/Mod/Spreadsheet/App/PropertySheet.cpp Diff File

Issue History

Date Modified Username Field Change
2018-06-10 09:22 ulrich1a New Issue
2018-06-10 13:40 Kunda1 Assigned To => eivindkvedalen
2018-06-10 13:40 Kunda1 Status new => assigned
2018-06-10 13:40 Kunda1 Target Version => 0.18
2018-08-02 01:43 Kunda1 Status assigned => closed
2018-08-02 01:43 Kunda1 Resolution open => fixed
2018-08-02 01:43 Kunda1 Fixed in Version => 0.18
2018-08-02 01:43 Kunda1 Note Added: 0011580
2019-08-14 15:08 Kunda1 Changeset attached => FreeCAD master 5d2a889a